#ifndef CONVERT_H
#define CONVERT_H

namespace satlab
{
/*
template<typename TARGET_T, typename SOURCE_T>
class Converter
{
public:
    TARGET_T convert(const SOURCE_T& source);
};
*/

namespace types
{
    
template<typename TARGET_T, typename SOURCE_T>
TARGET_T convert(const SOURCE_T& source);

template<typename TARGET_T, typename SOURCE_T>
void convertRef(TARGET_T&, const SOURCE_T& source);
}

}

#endif // CONVERT_H
